Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
require("../../chunk-BN4qSVkS.cjs");
const require_components_Radio = require("../Radio.cjs");
const require_components_DataManagerTable_Filter = require("./Filter.cjs");
require("./filters.cjs");
let _emotion_react_jsx_runtime = require("@emotion/react/jsx-runtime");
//#region src/components/DataManagerTable/BooleanFilter.tsx
const isBooleanFilterState = (state) => state.type === "boolean";
const getDefaultBooleanFilterState = () => ({
	type: "boolean",
	value: void 0,
	isApplied: false
});
const BooleanFilter = ({ updateFilterState, state, label }) => {
	return /* @__PURE__ */ (0, _emotion_react_jsx_runtime.jsx)(_emotion_react_jsx_runtime.Fragment, { children: /* @__PURE__ */ (0, _emotion_react_jsx_runtime.jsx)(require_components_DataManagerTable_Filter.Filter, {
		label,
		children: /* @__PURE__ */ (0, _emotion_react_jsx_runtime.jsx)(require_components_Radio.Radio, {
			radioOptions: [
				{ label: "Yes" },
				{ label: "No" },
				{ label: "Both" }
			],
			defaultOption: "Both",
			onChange: (selectedOption) => {
				updateFilterState({
					...state,
					value: selectedOption === "Yes" ? true : selectedOption === "No" ? false : void 0,
					isApplied: true
				});
			}
		})
	}) });
};
//#endregion
exports.BooleanFilter = BooleanFilter;
exports.getDefaultBooleanFilterState = getDefaultBooleanFilterState;
exports.isBooleanFilterState = isBooleanFilterState;
